# Interface JmolEnvCalc

All Known Implementing Classes:
  `EnvelopeCalculation`

public interface JmolEnvCalc

## Method Summary

Modifier and Type
Method
Description
`void`
`calculate(RadiusData rd, float maxRadius, BS bsSelected, BS bsIgnore, boolean disregardNeighbors, boolean onlySelectedDots, boolean isSurface, boolean multiModel)`
`BS`
`getBsSurfaceClone()`
`P3[]`
`getPoints()`
`JmolEnvCalc`
`set(AtomDataServer vwr, int ac, short[] mads)`

## Method Details

### set

JmolEnvCalc set(AtomDataServer vwr, int ac, short[] mads)

### getPoints

P3[] getPoints()

### getBsSurfaceClone

BS getBsSurfaceClone()

### calculate

void calculate(RadiusData rd, float maxRadius, BS bsSelected, BS bsIgnore, boolean disregardNeighbors, boolean onlySelectedDots, boolean isSurface, boolean multiModel)